Package robocode.robotinterfaces

## Interface ITeamRobot

All Superinterfaces:
  `IAdvancedRobot`, `IBasicRobot`

All Known Implementing Classes:
  `RateControlRobot`, `TeamRobot`

    public interface ITeamRobot
    extends IAdvancedRobot

A robot interface for creating a team robot like `TeamRobot` that is able to receive team events. A team robot is an advanced type of robot that supports sending messages between teammates that participates in a team.

Since:
  1.6
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  `TeamRobot`, `IBasicRobot`, `IJuniorRobot`, `IInteractiveRobot`, `IAdvancedRobot`, `ITeamRobot`

### Method Summary

All Methods Instance Methods Abstract Methods
`ITeamEvents` `getTeamEventListener​()` This method is called by the game to notify this robot about team events.

### Methods inherited from interface robocode.robotinterfaces.IAdvancedRobot

`getAdvancedEventListener`

### Methods inherited from interface robocode.robotinterfaces.IBasicRobot

`getBasicEventListener, getRobotRunnable, setOut, setPeer`

### Method Detail

#### getTeamEventListener

    ITeamEvents getTeamEventListener​()

This method is called by the game to notify this robot about team events. Hence, this method must be implemented so it returns your `ITeamEvents` listener.

Returns:
  listener to team events or `null` if this robot should not receive the notifications.